//---------------------------------------------------------------------------
#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <fstream.h>
#include <vcl\Registry.hpp>
#include <Menus.hpp>
#include <ActnList.hpp>
#include <Clipbrd.hpp>
#define MAX_CHARS 301
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
        TLabel *lblDate;
        TLabel *lblReference;
        TCheckBox *chkWindowsStartup;
        TButton *cmdClose;
        TMemo *redReading;
        TMainMenu *MainMenu1;
        TMenuItem *mnuFile;
        TMenuItem *mnuClose;
        TMenuItem *mnuHelp;
        TMenuItem *mnuAbout;
        TMenuItem *mnuHowtoUseHelp;
        TMenuItem *mnuSearchforHelpOn;
        TMenuItem *mnuContents;
        TPopupMenu *PopupMenu1;
        TMenuItem *pmnuCopy;
        TActionList *ActionList1;
        TAction *ActionCopyReading;
        TMenuItem *mnuEdit;
        TMenuItem *mnuCopy;
        TMenuItem *pmnuCancel;
        TMenuItem *N1;
        TAction *ActionShowFileDate;
        TAction *ActionDeleteReadings;
        void __fastcall cmdCloseClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall mnuAboutClick(TObject *Sender);
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall mnuContentsClick(TObject *Sender);
        void __fastcall mnuHowtoUseHelpClick(TObject *Sender);
        void __fastcall mnuSearchforHelpOnClick(TObject *Sender);
        void __fastcall ActionCopyReadingExecute(TObject *Sender);
        void __fastcall ActionShowFileDateExecute(TObject *Sender);
        void __fastcall ActionDeleteReadingsExecute(TObject *Sender);
        void __fastcall redReadingKeyPress(TObject *Sender, char &Key);
private:	// User declarations
        bool ReadingFound;
        String ReadingToGet;
        void __fastcall ShowReading(void);
        void __fastcall DownloadReadings(void);
        String __fastcall PurifyReading(char *oldReading);
public:		// User declarations
        __fastcall TfrmMain(TComponent* Owner);
protected:
        void __fastcall WhenIdle(TObject * Sender, bool & done);

};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
